window.addEventListener("load", function (evt) {

            // se agrega el manejador de mensajes
            window.addEventListener("message", funcionQueManejaLosMensajes);
			 myVid = document.getElementById("video1");
            function funcionQueManejaLosMensajes(evt) {

                var data = evt.data;
                // se maneja un mensaje del tipo set
                if ((data.type === "set")&&(data.name === "play_pause")) {
                    // data.name es el nombre de la variable
                    // data.value es el valor de la variable
                   
                    if (data.value == "parar") {
                        myVid.pause();
                    } else if (data.value == "seguir") {
                        myVid.play();
                    }
					
                }
				
                if ((data.type === "set")&&(data.name === "retrocede")) {
                    skip(data.value)
				}
				
				if ((data.type === "set")&&(data.name === "actualizar_tiempo")) {
                    actualiza(data.value)
				}
				
				if ((data.type === "set")&&(data.name === "actualizar2")) {
                    actualiza2(data.value)
				}
				
				if ((data.type === "set")&&(data.name === "cambia_volumen")) {
                    actualiza3(data.value)
				}
				
				if ((data.type === "set")&&(data.name === "cambia_video")) {
                    actualiza4(data.value)
				}
				
				// se maneja un mensaje del tipo update
                else if (data.type === "update") {
				}
            }

            // se agrega una funcion al campo de texto enviar de la pagina html, para que le envíe un mensaje a la escena de descartes 
			
            var contenido = document.getElementById("texto_a_enviar");
            contenido.addEventListener('click', function (evt) {
                window.parent.postMessage({
                    type: "set",
                    name: "t",
                    value: contenido.value
                }, '*');
                window.parent.postMessage({
                    type: "update"
                }, '*');
            });
			
			var contenido2 = document.getElementById("texto_a_enviar2");
            contenido2.addEventListener('click', function (evt) {
                window.parent.postMessage({
                    type: "set",
                    name: "t2",
                    value: contenido2.value
                }, '*');
                window.parent.postMessage({
                    type: "update"
                }, '*');
            });

        });
		
 
        //  Captura del tiempo de reproducción y de la duración del vídeo 				
        
        setInterval(function () {
            seg = Math.round(myVid.currentTime);
			duracion = Math.round(myVid.duration);
            
            Contador.innerHTML = seg;
            document.getElementById("texto_a_enviar").value = seg;
            document.getElementById("texto_a_enviar").click();
			
			Contador2.innerHTML = duracion;
            document.getElementById("texto_a_enviar2").value = duracion;
            document.getElementById("texto_a_enviar2").click();

        }, 1000);
 
//  Botones de reproducción 	
 function playPause() {
            var valor;
            if (myVid.paused) {
                myVid.play();
                valor = "Iniciado";
            } else {
                myVid.pause();
                valor = "Pausado";
            }
        }
		function skip(value) {
        myVid.currentTime += value;
        } 
		
		function actualiza(value) {
        myVid.currentTime = value;
        }
		
		function actualiza2(value) {
        myVid.currentTime = value;
        }
		
		function actualiza3(value) {
        myVid.volume = value/100;
        }
		
		function actualiza4(value) {
        myVid.src = value;
        }